The Tyrant is an advanced model of an Monk. They are armed with light equipment, dodge opponents attacks and strike critical damages to them during melee. During party play they are the ones who reliably give the opponents great damage.
They have basic skills such as strengthening their light equipment and melee weapons, and by giving up their defense and stamina they can increase their attack speed for a short period of time.
To be a Tyrant, your level must be over 40 and you need to collect the Mark of the Challenger, the Mark of Glory, and the Mark of the Duelist.
Explanation of marks
Return